Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getApplianceVpnSiteToSiteVpn({
networkId: "string",
});
export const merakiNetworksApplianceVpnSiteToSiteVpnExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_appliance_vpn_site_to_site_vpn(network_id="string")
pulumi.export("merakiNetworksApplianceVpnSiteToSiteVpnExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupApplianceVpnSiteToSiteVpn(ctx, &networks.LookupApplianceVpnSiteToSiteVpnArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksApplianceVpnSiteToSiteVpnExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetApplianceVpnSiteToSiteVpn.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksApplianceVpnSiteToSiteVpnExample"] = example.Apply(getApplianceVpnSiteToSiteVpnResult => getApplianceVpnSiteToSiteVpnResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetApplianceVpnSiteToSiteVpnArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getApplianceVpnSiteToSiteVpn(GetApplianceVpnSiteToSiteVpnArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksApplianceVpnSiteToSiteVpnExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getApplianceVpnSiteToSiteVpn
arguments:
networkId: string
outputs:
merakiNetworksApplianceVpnSiteToSiteVpnExample: ${example.item}
Using getApplianceVpnSiteToSiteVpn
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getApplianceVpnSiteToSiteVpn(args: GetApplianceVpnSiteToSiteVpnArgs, opts?: InvokeOptions): Promise<GetApplianceVpnSiteToSiteVpnResult>
function getApplianceVpnSiteToSiteVpnOutput(args: GetApplianceVpnSiteToSiteVpnOutputArgs, opts?: InvokeOptions): Output<GetApplianceVpnSiteToSiteVpnResult>def get_appliance_vpn_site_to_site_vpn(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetApplianceVpnSiteToSiteVpnResult
def get_appliance_vpn_site_to_site_vpn_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetApplianceVpnSiteToSiteVpnResult]func LookupApplianceVpnSiteToSiteVpn(ctx *Context, args *LookupApplianceVpnSiteToSiteVpnArgs, opts ...InvokeOption) (*LookupApplianceVpnSiteToSiteVpnResult, error)
func LookupApplianceVpnSiteToSiteVpnOutput(ctx *Context, args *LookupApplianceVpnSiteToSiteVpnOutputArgs, opts ...InvokeOption) LookupApplianceVpnSiteToSiteVpnResultOutput> Note: This function is named LookupApplianceVpnSiteToSiteVpn in the Go SDK.
public static class GetApplianceVpnSiteToSiteVpn
{
public static Task<GetApplianceVpnSiteToSiteVpnResult> InvokeAsync(GetApplianceVpnSiteToSiteVpnArgs args, InvokeOptions? opts = null)
public static Output<GetApplianceVpnSiteToSiteVpnResult> Invoke(GetApplianceVpnSiteToSiteVpnInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetApplianceVpnSiteToSiteVpnResult> getApplianceVpnSiteToSiteVpn(GetApplianceVpnSiteToSiteVpnArgs args, InvokeOptions options)
public static Output<GetApplianceVpnSiteToSiteVpnResult> getApplianceVpnSiteToSiteVpn(GetApplianceVpnSiteToSiteVpnArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getApplianceVpnSiteToSiteVpn:getApplianceVpnSiteToSiteVpn
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getApplianceVpnSiteToSiteVpn Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Vpn Site To Site Vpn Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Vpn Site To Site Vpn Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Vpn Site To Site Vpn Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Vpn Site To Site Vpn Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Vpn Site To Site Vpn Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetApplianceVpnSiteToSiteVpnItem
- Hubs
List<Get
Appliance Vpn Site To Site Vpn Item Hub> - The list of VPN hubs, in order of preference.
- Mode string
- The site-to-site VPN mode.
- Subnets
List<Get
Appliance Vpn Site To Site Vpn Item Subnet> - The list of subnets and their VPN presence.
- Hubs
[]Get
Appliance Vpn Site To Site Vpn Item Hub - The list of VPN hubs, in order of preference.
- Mode string
- The site-to-site VPN mode.
- Subnets
[]Get
Appliance Vpn Site To Site Vpn Item Subnet - The list of subnets and their VPN presence.
- hubs
List<Get
Appliance Vpn Site To Site Vpn Item Hub> - The list of VPN hubs, in order of preference.
- mode String
- The site-to-site VPN mode.
- subnets
List<Get
Appliance Vpn Site To Site Vpn Item Subnet> - The list of subnets and their VPN presence.
- hubs
Get
Appliance Vpn Site To Site Vpn Item Hub[] - The list of VPN hubs, in order of preference.
- mode string
- The site-to-site VPN mode.
- subnets
Get
Appliance Vpn Site To Site Vpn Item Subnet[] - The list of subnets and their VPN presence.
- hubs
Sequence[Get
Appliance Vpn Site To Site Vpn Item Hub] - The list of VPN hubs, in order of preference.
- mode str
- The site-to-site VPN mode.
- subnets
Sequence[Get
Appliance Vpn Site To Site Vpn Item Subnet] - The list of subnets and their VPN presence.
- hubs List<Property Map>
- The list of VPN hubs, in order of preference.
- mode String
- The site-to-site VPN mode.
- subnets List<Property Map>
- The list of subnets and their VPN presence.
GetApplianceVpnSiteToSiteVpnItemHub
- Hub
Id string - The network ID of the hub.
- Use
Default boolRoute - Indicates whether default route traffic should be sent to this hub.
- Hub
Id string - The network ID of the hub.
- Use
Default boolRoute - Indicates whether default route traffic should be sent to this hub.
- hub
Id String - The network ID of the hub.
- use
Default BooleanRoute - Indicates whether default route traffic should be sent to this hub.
- hub
Id string - The network ID of the hub.
- use
Default booleanRoute - Indicates whether default route traffic should be sent to this hub.
- hub_
id str - The network ID of the hub.
- use_
default_ boolroute - Indicates whether default route traffic should be sent to this hub.
- hub
Id String - The network ID of the hub.
- use
Default BooleanRoute - Indicates whether default route traffic should be sent to this hub.
GetApplianceVpnSiteToSiteVpnItemSubnet
- Local
Subnet string - The CIDR notation subnet used within the VPN
- Use
Vpn bool - Indicates the presence of the subnet in the VPN
- Local
Subnet string - The CIDR notation subnet used within the VPN
- Use
Vpn bool - Indicates the presence of the subnet in the VPN
- local
Subnet String - The CIDR notation subnet used within the VPN
- use
Vpn Boolean - Indicates the presence of the subnet in the VPN
- local
Subnet string - The CIDR notation subnet used within the VPN
- use
Vpn boolean - Indicates the presence of the subnet in the VPN
- local_
subnet str - The CIDR notation subnet used within the VPN
- use_
vpn bool - Indicates the presence of the subnet in the VPN
- local
Subnet String - The CIDR notation subnet used within the VPN
- use
Vpn Boolean - Indicates the presence of the subnet in the VPN
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
